Subject: Re: bug#21283: global-eldoc-mode nasty with python-mode

From: Noam Postavsky <[email-masked]>
Date: Tue, 07 May 2019 22:21:03 -0400

close 21283 
quit

Andreas Röhler <[email-masked]> writes:

> GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.23) of 2015-08-10
>
> With python-mode from python.el - global-eldoc-mode is on but seems to
> have no effect - a bug probably.

You have to start a shell first (C-c C-p), see also Bug#31409.

> With python-mode from python-mode.el - displays help-messages - which
> is to be expected but not TRT, as it takes the Python-shell again and
> again.

I guess this is a python-mode.el bug (similar to Bug#23609 in python.el
which was fixed), so nothing to do about it here.